#!/usr/bin/env python
# -*- coding: utf-8 -*-

import logging

def configure_logging(args, level=logging.INFO):
    """Configures application log level based on cmdline arguments"""

    if 'verbose' in args and args.verbose:
        level = logging.DEBUG

    format = '[%(levelname)-8s] %(message)s'

    try:
        import coloredlogs
        coloredlogs.install(level=level, fmt=format)
    except ImportError:
        logging.basicConfig(level=level, format=format)
